> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Clients



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/clients
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/clients:
    get:
      tags:
        - Clients
      summary: List Clients
      operationId: list_clients_api_v1_clients_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: '-created_at'
            title: Sort
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search term
            title: Q
          description: Search term
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedClientsResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedClientsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ClientResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/core__pagination__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedClientsResponse
      description: Paginated response for clients list
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        country:
          type: string
          title: Country
        maxAccountValue:
          type: number
          title: Maxaccountvalue
        currency:
          type: string
          title: Currency
        priceCategory:
          anyOf:
            - type: string
              enum:
                - high
                - medium
                - low
            - type: 'null'
          title: Pricecategory
        paymentTerms:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentterms
        contacts:
          anyOf:
            - items:
                $ref: '#/components/schemas/ContactInfoInput'
              type: array
            - type: 'null'
          title: Contacts
        bankDetails:
          anyOf:
            - $ref: '#/components/schemas/BankAccountDetailsInput'
            - type: 'null'
        contractFile:
          anyOf:
            - $ref: '#/components/schemas/ClientContractFileDetails'
            - type: 'null'
        ordersCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Orderscount
      type: object
      required:
        - id
        - name
        - country
        - maxAccountValue
        - currency
      title: ClientResponse
      description: Schema for client response - uses camelCase per API_STANDARDS
    core__pagination__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
      description: |-
        Pagination metadata following API standards.

        Attributes:
            page: Current page number (1-indexed)
            limit: Items per page
            total: Total number of items matching query
            totalPages: Total number of pages
            hasNext: Whether there is a next page
            hasPrev: Whether there is a previous page
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ContactInfoInput:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        contactName:
          anyOf:
            - type: string
            - type: 'null'
          title: Contactname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        countryCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Countrycode
        platforms:
          anyOf:
            - items:
                $ref: '#/components/schemas/ContactPlatformInput'
              type: array
            - type: 'null'
          title: Platforms
      type: object
      title: ContactInfoInput
      description: Contact information input - only phone_number is saved
    BankAccountDetailsInput:
      properties:
        accountCountry:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountcountry
        accountCurrency:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountcurrency
        accountHolderType:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholdertype
        transferMethod:
          anyOf:
            - type: string
            - type: 'null'
          title: Transfermethod
        swiftCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Swiftcode
        bankAccountNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaccountnumber
        accountHolderName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholdername
        intermediarySwiftCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Intermediaryswiftcode
        recipientNickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientnickname
        recipientEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientemail
        recipientCountry:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientcountry
        recipientAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientaddress
        recipientCity:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientcity
        recipientPostalCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientpostalcode
        recipients:
          anyOf:
            - items:
                $ref: '#/components/schemas/BankRecipientDetailsInput'
              type: array
            - type: 'null'
          title: Recipients
        shippingPickupDetails:
          anyOf:
            - items:
                $ref: '#/components/schemas/ShippingPickupDetailsInput'
              type: array
            - type: 'null'
          title: Shippingpickupdetails
      type: object
      title: BankAccountDetailsInput
      description: Bank account and recipient details stored as JSON.
    ClientContractFileDetails:
      properties:
        fileName:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        fileUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Fileurl
        fileSize:
          anyOf:
            - type: integer
            - type: 'null'
          title: Filesize
        contentType:
          anyOf:
            - type: string
            - type: 'null'
          title: Contenttype
        uploadedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Uploadedat
      type: object
      title: ClientContractFileDetails
      description: Uploaded client contract metadata stored as JSON.
    ContactPlatformInput:
      properties:
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        handle:
          anyOf:
            - type: string
            - type: 'null'
          title: Handle
      type: object
      title: ContactPlatformInput
      description: Communication platform handle for a contact.
    BankRecipientDetailsInput:
      properties:
        recipientNickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientnickname
        recipientEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientemail
        recipientCountry:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientcountry
        recipientAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientaddress
        recipientCity:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientcity
        recipientPostalCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientpostalcode
      type: object
      title: BankRecipientDetailsInput
      description: One payment recipient linked to a bank account.
    ShippingPickupDetailsInput:
      properties:
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        contactName:
          anyOf:
            - type: string
            - type: 'null'
          title: Contactname
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      title: ShippingPickupDetailsInput
      description: Shipping or pick up location linked to a client or supplier.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````